<template>
  <v-layout
    fill-height
    column
    align-end
    justify-space-between
    class="sidebar-navigation"
  >
    <v-layout
      ripple
      align-center
      justify-center
      v-for="(item, index) in bottomIcons"
      :key="index"
      @mousedown="selectedItem(item.type)"
      class="sidebar-navigation__item"
      :class="{
          'sidebar-navigation__item_active': item.type == active,
          'disabled': !hasActive(item)
        }"
    >
      <v-icon :color="item.type === active ? 'white' : 'gray'">{{item.icon}}</v-icon>
    </v-layout>
  </v-layout>
</template>


<script>
import bottomIcons from '../../../Mocks/BottomItens';

export default {
  props: {
    active: {
      type: String,
      default: 'text',
    },
    allTypes: {
      type: Array,
      default: () => ['text', 'audio', 'image', 'video'],
    },
  },
  data() {
    return {
      bottomIcons,
    };
  },
  methods: {
    selectedItem(item) {
      this.$emit('selected', item);
    },
    hasActive(item) {
      return this.allTypes.some(it => it === item.type);
    },
  },
};
</script>

<style lang="sass">
  @import ~@/styles/defaults/variables
  @import ~@/styles/defaults/mobileFirst
  .disabled
    pointer-events: none
    filter: grayscale(100%)
    background: rgba(186, 186, 202, 0.4)

  .sidebar-navigation
    width: 100%
    &__item
      cursor: pointer
      border-radius: 3px
      border: 1px solid rgba(145, 145, 145, 0.5)
      width: 4vw
      height: 4vw
      margin: 4px
      font-size: .65rem
      max-width: 70%
      user-select: none
      font-size: 0.5em
      padding: 5px 1px
      text-align: center
      transition: .4s ease all
      &:hover
        background: rgba(164, 164, 164, 0.12)
      & i
        user-select: none
        margin-bottom: 4px
      &_active
        color: #fff
        background: #3C317F
        &:hover
          background: #3C317F


</style>
